Bug 94361 - [gtk] add enable-media-stream to websettings
Summary: [gtk] add enable-media-stream to websettings
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 87514 94373
  Show dependency treegraph
 
Reported: 2012-08-17 10:50 PDT by Danilo Cesar Lemes de Paula
Modified: 2012-09-19 07:08 PDT (History)
5 users (show)

See Also:


Attachments
Patch (3.30 KB, patch)
2012-08-17 10:51 PDT, Danilo Cesar Lemes de Paula
no flags Details | Formatted Diff | Diff
Patch (4.19 KB, patch)
2012-08-17 11:01 PDT, Danilo Cesar Lemes de Paula
no flags Details | Formatted Diff | Diff
Patch (5.21 KB, patch)
2012-08-17 13:21 PDT, Danilo Cesar Lemes de Paula
no flags Details | Formatted Diff | Diff
Patch (5.27 KB, patch)
2012-08-20 05:30 PDT, Danilo Cesar Lemes de Paula
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo Cesar Lemes de Paula 2012-08-17 10:50:28 PDT
[gtk] add enable-media-stream to websettings
Comment 1 Danilo Cesar Lemes de Paula 2012-08-17 10:51:43 PDT
Created attachment 159160 [details]
Patch
Comment 2 Danilo Cesar Lemes de Paula 2012-08-17 11:01:58 PDT
Created attachment 159164 [details]
Patch
Comment 3 Danilo Cesar Lemes de Paula 2012-08-17 12:18:55 PDT
that's webkit gtk
Comment 4 Martin Robinson 2012-08-17 12:24:37 PDT
Comment on attachment 159164 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=159164&action=review

> Source/WebKit/gtk/webkit/webkitwebsettings.cpp:970
> +    * WebKitWebSettings:enable-media-stream:
> +    *
> +    * Enable or disable support for Media Streaming on pages. Media Streaming is
> +    * an experimental proposal for allowing web pages to access local video and
> +    * audio input devices.  The standard is currently a work-in-progress as part
> +    * of the Web Applications 1.0 specification from WHATWG.
> +    *
> +    * Since: 1.10.0

Why not enable-web-rtc? I think it makes sense to link to the spec here too.
Comment 5 Martin Robinson 2012-08-17 12:25:21 PDT
Comment on attachment 159164 [details]
Patch

It looks like the setting in this patch doesn't actually change anything.
Comment 6 Danilo Cesar Lemes de Paula 2012-08-17 12:34:43 PDT
(In reply to comment #4)
> (From update of attachment 159164 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=159164&action=review
> 
> > Source/WebKit/gtk/webkit/webkitwebsettings.cpp:970
> > +    * WebKitWebSettings:enable-media-stream:
> > +    *
> > +    * Enable or disable support for Media Streaming on pages. Media Streaming is
> > +    * an experimental proposal for allowing web pages to access local video and
> > +    * audio input devices.  The standard is currently a work-in-progress as part
> > +    * of the Web Applications 1.0 specification from WHATWG.
> > +    *
> > +    * Since: 1.10.0
> 
> Why not enable-web-rtc? I think it makes sense to link to the spec here too.

webRTC contains two separated features: media-stream/getUserMedia and PeerConnection. I believe it makes sense to have two flags, and in this case, media-stream make more sense. Also, chromium is using the same method (http://www.webrtc.org/running-the-demos).
Comment 7 Danilo Cesar Lemes de Paula 2012-08-17 12:41:08 PDT
(In reply to comment #6)
> (In reply to comment #4)
> > (From update of attachment 159164 [details] [details])
> > View in context: https://bugs.webkit.org/attachment.cgi?id=159164&action=review
> > 
> > > Source/WebKit/gtk/webkit/webkitwebsettings.cpp:970
> > > +    * WebKitWebSettings:enable-media-stream:
> > > +    *
> > > +    * Enable or disable support for Media Streaming on pages. Media Streaming is
> > > +    * an experimental proposal for allowing web pages to access local video and
> > > +    * audio input devices.  The standard is currently a work-in-progress as part
> > > +    * of the Web Applications 1.0 specification from WHATWG.
> > > +    *
> > > +    * Since: 1.10.0
> > 
> > Why not enable-web-rtc? I think it makes sense to link to the spec here too.
> 
> webRTC contains two separated features: media-stream/getUserMedia and PeerConnection. I believe it makes sense to have two flags, and in this case, media-stream make more sense. Also, chromium is using the same method (http://www.webrtc.org/running-the-demos).

Since the PeerConnection API changed a lot on the last few days, I split the features and I'm pushing only MediaStream for now.
Comment 8 Danilo Cesar Lemes de Paula 2012-08-17 12:44:14 PDT
(In reply to comment #5)
> (From update of attachment 159164 [details])
> It looks like the setting in this patch doesn't actually change anything.

What do you mean?

That's only the flag, doesn't make sense to use it if the rest of the code is not there yet.
Comment 9 Martin Robinson 2012-08-17 12:56:07 PDT
(In reply to comment #8)

> What do you mean?
> 
> That's only the flag, doesn't make sense to use it if the rest of the code is not there yet.

Typically the settings available in WebKitWebSettings control  the Page settings (Settings.h). If there's no WebCore settings to control, then it doesn't make sense to add a WebKit flag, because the flag is a type of dead code.
Comment 10 Danilo Cesar Lemes de Paula 2012-08-17 13:07:24 PDT
(In reply to comment #9)
> Typically the settings available in WebKitWebSettings control  the Page settings (Settings.h). If there's no WebCore settings to control, then it doesn't make sense to add a WebKit flag, because the flag is a type of dead code.

I'm using it to control RuntimeEnabledFeatures.h

WebCore::RuntimeEnabledFeatures::setMediaStreamEnabled(settingsPrivate->enableMediaStream);

I can use WebKitWebSettings for that, can't I?
Comment 11 Danilo Cesar Lemes de Paula 2012-08-17 13:21:25 PDT
Created attachment 159186 [details]
Patch
Comment 12 Martin Robinson 2012-08-17 14:12:42 PDT
(In reply to comment #11)
> Created an attachment (id=159186) [details]
> Patch

No link to the spec? Chromium calls this MediaStream in their UI, but in this patch you refer to it as media-stream and Media Streaming. What's the real name? I think it makes sense in the documentation to also describe how this relates to WebRTC.
Comment 13 Philippe Normand 2012-08-19 00:43:04 PDT
Do you plan the WK2 equivalent of this patch? Should be done in a separate bugzilla entry.
Comment 14 Danilo Cesar Lemes de Paula 2012-08-20 05:30:37 PDT
Created attachment 159401 [details]
Patch
Comment 15 Danilo Cesar Lemes de Paula 2012-08-20 05:34:16 PDT
(In reply to comment #12)
> (In reply to comment #11)
> > Created an attachment (id=159186) [details] [details]
> > Patch
> 
> No link to the spec? Chromium calls this MediaStream in their UI, but in this patch you refer to it as media-stream and Media Streaming. What's the real name? I think it makes sense in the documentation to also describe how this relates to WebRTC.

Put the link on code.
The name is Media Stream. And I will stick to that name only, so fixed.

(In reply to comment #13)
> Do you plan the WK2 equivalent of this patch? Should be done in a separate bugzilla entry.

In the near future, yes. But the plan is to have a usable/stable version for webkit 1 frist.
Comment 16 Martin Robinson 2012-08-20 07:24:02 PDT
Comment on attachment 159401 [details]
Patch

Thanks!
Comment 17 Danilo Cesar Lemes de Paula 2012-08-20 09:57:04 PDT
Comment on attachment 159401 [details]
Patch

Can you grant me commit after the stable release?
Comment 18 Philippe Normand 2012-09-19 07:03:48 PDT
Comment on attachment 159401 [details]
Patch

cq=me since the stable release branched a while ago
Comment 19 WebKit Review Bot 2012-09-19 07:08:43 PDT
Comment on attachment 159401 [details]
Patch

Clearing flags on attachment: 159401

Committed r129000: <http://trac.webkit.org/changeset/129000>
Comment 20 WebKit Review Bot 2012-09-19 07:08:47 PDT
All reviewed patches have been landed.  Closing bug.